support
Support
Report a problem or suggest a feature to the vendor from a self-hosted install, and see the vendor's status and replies (self-hosted installs only).
5 נקודות קצה
GET /api/v1/support/submissions
What this institute sent the vendor, newest first (cursor-paginated): the text, whether it has left the install, what the vendor did with it and the vendor’s replies. Self-hosted only.
פרמטרים של הנתיב והשאילתה
| שם | מיקום | סוג | מגבלות |
|---|---|---|---|
cursor | query | string | — |
limit | query | integer | 1–100 · default: 25 |
דוגמה עם curl
curl -X GET "https://your-institute.example/api/v1/support/submissions" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
| שם | סוג | מגבלות |
|---|---|---|
dataחובה | array<object> | — |
nextCursorחובה | string | null | — |
{
"data": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"body": "string",
"delivery": "queued",
"lastError": "string",
"remoteStatus": "new",
"createdAt": "2026-03-02T09:00:00.000Z",
"sentAt": "2026-03-02T09:00:00.000Z",
"syncedAt": "2026-03-02T09:00:00.000Z",
"replies": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"body": "string",
"createdAt": "2026-03-02T09:00:00.000Z"
}
]
}
],
"nextCursor": null
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
POST /api/v1/support/submissions
Report a problem or suggest a feature to the vendor. Saved here first and sent in the background, retried if the vendor cannot be reached. Do not include personal data. Self-hosted only.
גוף הבקשה
| שם | סוג | מגבלות |
|---|---|---|
kindחובה | enum: "problem" | "feature" | — |
categoryחובה | enum: "login_access" | "people" | "attendance" | "billing" | "courses_content" | "notifications" | "updates_backups" | "performance" | "other" | — |
titleחובה | string | 1–120 chars |
textחובה | string | 1–4000 chars |
דוגמה
{
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"text": "string"
}דוגמה עם curl
curl -X POST "https://your-institute.example/api/v1/support/submissions" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"text": "string"
}'תשובות
| שם | סוג | מגבלות |
|---|---|---|
idחובה | string (uuid) | — |
kindחובה | enum: "problem" | "feature" | — |
categoryחובה | enum: "login_access" | "people" | "attendance" | "billing" | "courses_content" | "notifications" | "updates_backups" | "performance" | "other" | — |
titleחובה | string | — |
bodyחובה | string | — |
deliveryחובה | enum: "queued" | "sent" | "failed" | — |
lastErrorחובה | string | null | — |
remoteStatusחובה | enum: "new" | "acknowledged" | "in_progress" | "resolved" | "declined" | "duplicate" | null | null | — |
createdAtחובה | string (date-time) | — |
sentAtחובה | string (date-time) | null | — |
syncedAtחובה | string (date-time) | null | — |
repliesחובה | array<object> | — |
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"body": "string",
"delivery": "queued",
"lastError": "string",
"remoteStatus": "new",
"createdAt": "2026-03-02T09:00:00.000Z",
"sentAt": "2026-03-02T09:00:00.000Z",
"syncedAt": "2026-03-02T09:00:00.000Z",
"replies": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"body": "string",
"createdAt": "2026-03-02T09:00:00.000Z"
}
]
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
GET /api/v1/support/submissions/{id}
One submission with the vendor’s replies. Self-hosted only.
פרמטרים של הנתיב והשאילתה
| שם | מיקום | סוג | מגבלות |
|---|---|---|---|
idחובה | path | string | — |
דוגמה עם curl
curl -X GET "https://your-institute.example/api/v1/support/submissions/37386ae0-3738-7738-8386-37386ae03738" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
| שם | סוג | מגבלות |
|---|---|---|
idחובה | string (uuid) | — |
kindחובה | enum: "problem" | "feature" | — |
categoryחובה | enum: "login_access" | "people" | "attendance" | "billing" | "courses_content" | "notifications" | "updates_backups" | "performance" | "other" | — |
titleחובה | string | — |
bodyחובה | string | — |
deliveryחובה | enum: "queued" | "sent" | "failed" | — |
lastErrorחובה | string | null | — |
remoteStatusחובה | enum: "new" | "acknowledged" | "in_progress" | "resolved" | "declined" | "duplicate" | null | null | — |
createdAtחובה | string (date-time) | — |
sentAtחובה | string (date-time) | null | — |
syncedAtחובה | string (date-time) | null | — |
repliesחובה | array<object> | — |
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"body": "string",
"delivery": "queued",
"lastError": "string",
"remoteStatus": "new",
"createdAt": "2026-03-02T09:00:00.000Z",
"sentAt": "2026-03-02T09:00:00.000Z",
"syncedAt": "2026-03-02T09:00:00.000Z",
"replies": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"body": "string",
"createdAt": "2026-03-02T09:00:00.000Z"
}
]
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
POST /api/v1/support/submissions/{id}/retry
Send a submission that failed (or is stuck) again. A submission already sent is final. Self-hosted only.
פרמטרים של הנתיב והשאילתה
| שם | מיקום | סוג | מגבלות |
|---|---|---|---|
idחובה | path | string | — |
דוגמה עם curl
curl -X POST "https://your-institute.example/api/v1/support/submissions/37386ae0-3738-7738-8386-37386ae03738/retry" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
| שם | סוג | מגבלות |
|---|---|---|
idחובה | string (uuid) | — |
kindחובה | enum: "problem" | "feature" | — |
categoryחובה | enum: "login_access" | "people" | "attendance" | "billing" | "courses_content" | "notifications" | "updates_backups" | "performance" | "other" | — |
titleחובה | string | — |
bodyחובה | string | — |
deliveryחובה | enum: "queued" | "sent" | "failed" | — |
lastErrorחובה | string | null | — |
remoteStatusחובה | enum: "new" | "acknowledged" | "in_progress" | "resolved" | "declined" | "duplicate" | null | null | — |
createdAtחובה | string (date-time) | — |
sentAtחובה | string (date-time) | null | — |
syncedAtחובה | string (date-time) | null | — |
repliesחובה | array<object> | — |
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"body": "string",
"delivery": "queued",
"lastError": "string",
"remoteStatus": "new",
"createdAt": "2026-03-02T09:00:00.000Z",
"sentAt": "2026-03-02T09:00:00.000Z",
"syncedAt": "2026-03-02T09:00:00.000Z",
"replies": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"body": "string",
"createdAt": "2026-03-02T09:00:00.000Z"
}
]
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
POST /api/v1/support/submissions/refresh
Ask the vendor now what became of these submissions (a pass of the background mirror). Self-hosted only.
דוגמה עם curl
curl -X POST "https://your-institute.example/api/v1/support/submissions/refresh" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
| שם | סוג | מגבלות |
|---|---|---|
dataחובה | array<object> | — |
nextCursorחובה | string | null | — |
{
"data": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"kind": "problem",
"category": "login_access",
"title": "Midterm Exam",
"body": "string",
"delivery": "queued",
"lastError": "string",
"remoteStatus": "new",
"createdAt": "2026-03-02T09:00:00.000Z",
"sentAt": "2026-03-02T09:00:00.000Z",
"syncedAt": "2026-03-02T09:00:00.000Z",
"replies": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"body": "string",
"createdAt": "2026-03-02T09:00:00.000Z"
}
]
}
],
"nextCursor": null
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.